// use incoming midi events from the midi mapper to play one of the synthdefs in synpad.sc

(
s.options.blockSize = 32; // BEFORE booting server
s.boot;
)

(

var noteVels, noteSynths, ctrls;

MIDIIn.connect;

noteVels=Array.newClear(128);
noteSynths=Array.newClear(128);
ctrls=Array.newClear(128);

MIDIIn.control={ arg src, chan, ctrl, val;
   ctrls.put(ctrl,val);
};

MIDIIn.noteOn={ arg src, chan, x, vel;  
	var synth, ctrlX, ctrlY;
   ctrlX=ctrls[70];
   ctrlY=ctrls[71];
	("Vel:"+vel+" x:"+ctrlX+"y:"+ctrlY).postln;
	synth=Synth(\MidiDrum, [\vel, vel, \x, ctrlX, \y, ctrlY]);  
	noteSynths.put(x,synth);
	synth.play;
	};

)
